Take the 2-minute tour ×
Android Enthusiasts Stack Exchange is a question and answer site for enthusiasts and power users of the Android operating system. It's 100% free, no registration required.

I have a HTC Desire that was on 2.1 and worked perfectly with my works exchange server. But since upgrading to 2.2 I cannot get it to work at all. There are no errors it just synchs forever.

Any suggestions?

share|improve this question
add comment

1 Answer

up vote 2 down vote accepted

It looks like there is an issue with the Exchange Server certificates and Froyo. I have found a few others with the same issue:

Those links have several workarounds that might solve your problem as long as you can get your IT team to help figure out what is going on.

I have seen several people mention the the Touchdown (appbrain link) app is not having any problems. Touchdown is an alternative to the built-in Exchange sync. It might be the easiest solution for you - though it is a paid app - $19.99 as of right now.

QR Code for the app market:

Touchdown

share|improve this answer
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.